﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Performance.DtoModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [ApiController]
    public class SecondAllotController : ControllerBase
    {
        private readonly ClaimService claimService;

        public SecondAllotController(ClaimService claimService)
        {
            this.claimService = claimService;
        }

        /// <summary>
        /// 二次绩效列表（没有需要初始化）
        /// </summary>
        /// <returns></returns>
        [Route("api/second/list")]
        [HttpPost]
        public ApiResponse List()
        {
            var userId = claimService.GetUserId();

            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效项目内容保存
        /// </summary>
        /// <returns></returns>
        [Route("api/second/savevalue")]
        [HttpPost]
        public ApiResponse SaveValue()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效分配结果保存
        /// </summary>
        /// <returns></returns>
        [Route("api/second/savecompute")]
        [HttpPost]
        public ApiResponse SaveCompute()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效工作量列表
        /// </summary>
        /// <returns></returns>
        [Route("api/second/workload/list")]
        [HttpPost]
        public ApiResponse WorkloadList()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效工作量新增
        /// </summary>
        /// <returns></returns>
        [Route("api/second/workload/add")]
        [HttpPost]
        public ApiResponse WorkloadAdd()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效工作量修改
        /// </summary>
        /// <returns></returns>
        [Route("api/second/workload/update")]
        [HttpPost]
        public ApiResponse WorkloadUpdate()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效工作量删除
        /// </summary>
        /// <returns></returns>
        [Route("api/second/workload/delete")]
        [HttpPost]
        public ApiResponse WorkloadDelete()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 二次绩效模板列表
        /// </summary>
        /// <returns></returns>
        [Route("api/temp/list")]
        [HttpPost]
        public ApiResponse Temp()
        {
            return new ApiResponse(ResponseType.OK);
        }

        /// <summary>
        /// 使用二次绩效模板
        /// </summary>
        /// <returns></returns>
        [Route("api/temp/usetemp")]
        [HttpPost]
        public ApiResponse UseTemp()
        {
            return new ApiResponse(ResponseType.OK);
        }

    }
}